Subject: Re: [PATCH] fix validate_link_af in rtnetlink core

From: Patrick McHardy <[email-masked]>
Date: Wed, 26 Jan 2011 16:36:44 +0100

On 26.01.2011 15:55, Kurt Van Dijck wrote:
> Hi,
> 
> I'm not sure about this patch.
> 
> I'm testing an API that uses IFLA_AF_SPEC attribute.
> In the rtnetlink core , the set_link_af() member
> of the rtnl_af_ops struct receives the nested attribute
> (as I expected), but the validate_link_af() member
> receives the parent attribute.
> IMO, this patch fixes this.
> 
> Since I didn't find any code in iproute2 that makes use
> of this attribute, I wasn't able to verify this on the userspace
> end.

There's code in libnl using this, your patch looks fine to me.